## conky 1.18.0

=== debian/changelog ===
conky (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Unbreak Xinerama config loading. (Closes: #1027895)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 19 Feb 2023 22:57:28 -0800
