## conky 1.18.1

=== debian/changelog ===
conky (1.18.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix broken graph colours. (Closes: #1031736)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 24 Feb 2023 15:09:43 -0800
