=== debian/tests/control ===
Tests: conky-std
Depends: conky-std, xauth, xvfb
Restrictions: allow-stderr

Tests: conky-all
Depends: conky-all, xauth, xvfb
Restrictions: allow-stderr
