=== debian/changelog ===
conky (1.19.2-2) unstable; urgency=medium

  * Update existing autopkgtests.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 20:40:47 -0700

conky (1.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 01:27:34 -0700
