=== debian/changelog ===
conky (1.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 09 Aug 2023 11:29:33 -0700
