=== debian/changelog ===
conky (1.19.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 15 Aug 2023 17:04:49 -0700
