## conky 1.19.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,12 +78,6 @@
 
 install(FILES ${DOC_FILES} DESTINATION ${DOC_PATH})
 
-if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-  install(FILES conky.desktop DESTINATION share/applications)
-  install(FILES logo/conky-logomark-violet.svg
-          DESTINATION share/icons/hicolor/scalable/apps)
-endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-
 if(CHECK_CODE_QUALITY)
   find_package(ClangTidy)
   find_package(ClangFormat)
