=== debian/changelog ===
conky (1.19.6-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:39:35 +1100

conky (1.19.6-1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:47:21 +0000

conky (1.19.6-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:16 +0000

conky (1.19.6-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault when running Lua code. (Closes: #1053916)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 14 Oct 2023 18:42:20 -0700

conky (1.19.5-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.

  [ Bastian Germann ]
  * Drop transitional package conky. (Closes: #878377)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 11 Oct 2023 09:54:03 -0700
