=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  cmake,
@@ -49,6 +50,7 @@
 Suggests: apcupsd, audacious, moc, mpd
 Conflicts: conky-all, conky-cli
 Replaces: conky-all, conky-cli
+Provides: conky
 Description: highly configurable system monitor (default version)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -69,6 +71,7 @@
 Suggests: apcupsd, moc, mpd
 Conflicts: conky-all, conky-std
 Replaces: conky-all, conky-std
+Provides: conky
 Description: highly configurable system monitor (basic version)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -87,6 +90,7 @@
 Suggests: apcupsd, audacious, moc, mpd
 Conflicts: conky-cli, conky-std
 Replaces: conky-cli, conky-std
+Provides: conky
 Description: highly configurable system monitor (all features enabled)
  Conky is a system monitor that can display just about anything,
  either on your root desktop or in its own window.
@@ -100,17 +104,3 @@
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
  apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
  Audacious, PulseAudio, iCal, iconv, IRC, and systemd journal.
-
-Package: conky
-Section: oldlibs
-Architecture: all
-Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
-Description: highly configurable system monitor (transitional package)
- Conky is a system monitor that can display just about anything,
- either on your root desktop or in its own window.
- Conky has many built-in objects, as well as the ability to execute
- external programs or scripts (either external or through built-in
- Lua support).
- .
- This is a dummy package to ease transition to the new packaging scheme.
- It may be safely removed after upgrade/installation.
