=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,9 @@
 override_dh_install:
 	dh_install -Xlibtcp-portmon.a -Xlibconky_core.a
 
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
+
 override_dh_compress:
 	dh_compress -Xconvert.lua
